//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <FileCtrl.hpp>
#include <ImgList.hpp>
#include <Buttons.hpp>
#include "perfgrap.h"
#include <Tabs.hpp>
#include "Chart.hpp"
#include "Series.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *savetofile;
	TMenuItem *Exit1;
	TMenuItem *Connection1;
	TMenuItem *ConnecttoChip1;
	TMenuItem *Disconnect1;
	TMenuItem *Settings2;
	TToolBar *ToolBar1;
	TGroupBox *GroupBox1;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *Label8;
	TStatusBar *StatusBar1;
	TPageControl *PageControl1;
	TTabSheet *Sending;
	TTabSheet *TabSheet2;
	TFileListBox *FileListBox1;
	TDirectoryListBox *DirectoryListBox1;
	TDriveComboBox *DriveComboBox1;
	TLabel *Label9;
	TTabSheet *TabSheet3;
	TMemo *Memo2;
	TLabel *Label10;
	TToolButton *ToolButton3;
	TImageList *ImageList1;
	TGroupBox *GroupBox3;
	TLabel *Label11;
	TLabel *Label14;
	TSpeedButton *SpeedButton1;
	TSpeedButton *SpeedButton2;
	TLabel *Label15;
	TLabel *Label16;
	TProgressBar *ProgressBar2;
	TMemo *Memo3;
	TToolButton *ToolButton4;
	TToolButton *ToolButton5;
	TToolButton *ToolButton6;
	TToolButton *ToolButton7;
	TToolButton *ToolButton8;
	TSaveDialog *SaveDialog1;
	TSpeedButton *SpeedButton3;
	TLabel *Label1;
	TTimer *Timer1;
	TToolButton *ToolButton9;
	TLabel *Label2;
	TGroupBox *GroupBox2;
	TMemo *Memo1;
	TLabel *Label21;
	TLabel *Label24;
	TToolButton *ToolButton14;
	TToolButton *ToolButton15;
	TProgressBar *ProgressBar1;
	TImageList *ImageList2;
	TChart *Chart1;
	TBarSeries *Series1;
	TGroupBox *GroupBox4;
	TButton *Button1;
	TLabel *Label18;
	TLabel *Label19;
	TLabel *Label20;
	TComboBox *ComboBox3;
	TLabel *Label3;

	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FileListBox1Click(TObject *Sender);
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall SpeedButton2Click(TObject *Sender);
	void __fastcall ToolButton3Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall ToolButton5Click(TObject *Sender);
	void __fastcall ToolButton7Click(TObject *Sender);
	void __fastcall SpeedButton3Click(TObject *Sender);
	void __fastcall Memo2Change(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall ToolButton14Click(TObject *Sender);
	void __fastcall ToolButton15Click(TObject *Sender);
	// moje funkce
	void __fastcall CloseAll(void);
	int  __fastcall SetIpAdress(void);
	int  __fastcall InitSocket (void);
	void __fastcall Exit1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------

// Deklarace globalních funkci
int send_app(char operation, char flags, char data[], int len);
int send_udp(char data[], int len);
unsigned short checksum(unsigned char *addr, int count);

#endif
